import React from "react";
import PropTypes from "prop-types";

import EmptyImg from "../../../img/noimage.png";

const Poster = ({ url, selected, onClick, onDoubleClick }) => {
  const className = selected
    ? "border-primary thumbnail-selected"
    : "border-secondary";
  const src = url === "" ? EmptyImg : url;

  return (
    <img
      src={src}
      onClick={onClick}
      onDoubleClick={onDoubleClick}
      className={`my-1 m-md-2 img-thumbnail object-fit-cover ${className}`}
    />
  );
};
Poster.propTypes = {
  url: PropTypes.string,
  selected: PropTypes.bool.isRequired,
  onClick: PropTypes.func,
  onDoubleClick: PropTypes.func,
};

export default Poster;
