import React from "react";
import { useDispatch, useSelector } from "react-redux";

import { getMovieDetails } from "../../actions/movies";

import { TorrentsButton } from "../buttons/torrents";

export const MovieTorrentsButton = () => {
  const dispatch = useDispatch();

  const imdbId = useSelector((state) => state.movies.selectedImdbId);
  const title = useSelector((state) => state.movies.movies.get(imdbId).title);
  const torrents = useSelector(
    (state) => state.movies.movies.get(imdbId).torrents
  );
  const searching = useSelector(
    (state) => state.movies.movies.get(imdbId).fetchingDetails
  );

  return (
    <TorrentsButton
      torrents={torrents}
      searching={searching}
      search={() => dispatch(getMovieDetails(imdbId))}
      url={`#/torrents/search/movies/${encodeURI(title)}`}
    />
  );
};
