import React, { useState } from "react";
import { useDispatch } from "react-redux";

import { addTorrent } from "../../../actions/torrents";

export const AddTorrent = () => {
  const dispatch = useDispatch();
  const [url, setUrl] = useState("");

  const handleSubmit = (e) => {
    e.preventDefault();
    if (url === "") {
      return;
    }
    dispatch(
      addTorrent({
        result: { url: url },
      })
    );
    setUrl("");
  };

  return (
    <form onSubmit={(e) => handleSubmit(e)}>
      <input
        type="text"
        className="form-control mb-3 w-100"
        placeholder="Add torrent URL"
        onSubmit={handleSubmit}
        value={url}
        onChange={(e) => setUrl(e.target.value)}
      />
    </form>
  );
};
