import { produce } from "immer";

const defaultState = {
  loadingPublic: false,
  loadingManaged: false,
  public: [],
  managed: [],
};

export default (state = defaultState, action) =>
  produce(state, (draft) => {
    switch (action.type) {
      case "PUBLIC_POLOCHON_LIST_FETCH_PENDING":
        draft.loadingPublic = true;
        break;

      case "PUBLIC_POLOCHON_LIST_FETCH_FULFILLED":
        draft.loadingPublic = false;
        draft.public = action.payload.response.data;
        break;

      case "MANAGED_POLOCHON_LIST_FETCH_PENDING":
        draft.loadingManaged = true;
        break;

      case "MANAGED_POLOCHON_LIST_FETCH_FULFILLED":
        draft.loadingManaged = false;
        draft.managed = action.payload.response.data;
        break;

      default:
        return draft;
    }
  });
